/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing SelfApiTokenApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class SelfApiTokenApiTests : IDisposable
    {
        private SelfApiTokenApi instance;

        public SelfApiTokenApiTests()
        {
            instance = new SelfApiTokenApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of SelfApiTokenApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' SelfApiTokenApi
            //Assert.IsType<SelfApiTokenApi>(instance);
        }

        /// <summary>
        /// Test ApiV2SelfApiTokensOptions
        /// </summary>
        [Fact]
        public void ApiV2SelfApiTokensOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2SelfApiTokensOptions();
        }

        /// <summary>
        /// Test CreateApiToken
        /// </summary>
        [Fact]
        public void CreateApiTokenTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //ApiTokenForCreationDto? apiTokenForCreationDto = null;
            //var response = instance.CreateApiToken(apiTokenForCreationDto);
            //Assert.IsType<ApiTokenDtoResponse>(response);
        }

        /// <summary>
        /// Test GetAllApiTokens
        /// </summary>
        [Fact]
        public void GetAllApiTokensTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetAllApiTokens(pageNumber, pageSize, orderBy);
            //Assert.IsType<ApiTokenDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetApiToken
        /// </summary>
        [Fact]
        public void GetApiTokenTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid apiTokenId = null;
            //var response = instance.GetApiToken(apiTokenId);
            //Assert.IsType<ApiTokenDtoResponse>(response);
        }

        /// <summary>
        /// Test RevokeToken
        /// </summary>
        [Fact]
        public void RevokeTokenTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid apiTokenId = null;
            //instance.RevokeToken(apiTokenId);
        }
    }
}
